package controller

import (
	"context"
	"exhibition-register/pb/exhibition"
	"exhibition-register/pkg/msg"
)

func (e *ExhibitionProvider) CheckPhone(_ context.Context, req *exhibition.RegisterInfo) (rep *exhibition.CheckPhoneResp, err error) {
	if rep, err = e.registerLogic.CheckByPhone(req); err != nil {
		return nil, err
	}
	rep.Msg = msg.Success
	return rep, nil
}

func (e *ExhibitionProvider) CheckIdCard(_ context.Context, req *exhibition.RegisterInfo) (rep *exhibition.CheckIdCardResp, err error) {
	if rep, err = e.registerLogic.CheckIdCard(req); err != nil {
		return rep, err
	}
	rep.Msg = msg.Success
	return rep, nil
}

func (e *ExhibitionProvider) SaveRegisterRecord(_ context.Context, req *exhibition.RegisterInfo) (rep *exhibition.SaveRegisterRecordResp, err error) {
	if rep, err = e.registerLogic.SaveRegisterRecord(req); err != nil {
		return nil, err
	}
	rep.Msg = msg.Success
	return rep, nil
}

func (e *ExhibitionProvider) RegisterRecordList(_ context.Context, req *exhibition.RecordListReq) (rep *exhibition.RecordListResp, err error) {
	if rep, err = e.registerLogic.RegisterRecordList(req); err != nil {
		return nil, err
	}
	rep.Msg = msg.Success
	rep.Page = req.Page
	rep.PageSize = req.PageSize
	return rep, nil
}

func (e *ExhibitionProvider) ExportRegisterRecord(_ context.Context, req *exhibition.ExportRecordReq) (rep *exhibition.ExportRecordResp, err error) {
	if rep, err = e.registerLogic.FindAllRecord(); err != nil {
		return nil, err
	}
	rep.Msg = msg.Success
	return rep, nil
}
