package model

import "gorm.io/gorm"

type RegisterRecord struct {
	gorm.Model

	UUID            string `json:"uuid" gorm:"primaryKey;column:uuid;type:varchar(255);not null;comment:报名记录Uid"`
	ArtistName      string `json:"artist_name" gorm:"column:artist_name;type:varchar(255);not null;comment:画家姓名"`
	Gender          int32  `json:"gender" gorm:"column:gender;type:int;comment:性别1男2女"`
	PhoneNum        string `json:"phone_num" gorm:"column:phone_num;type:varchar(255);not null;comment:手机号"`
	IdCard          string `json:"id_card" gorm:"column:id_card;type:varchar(255);not null;comment:身份证号"`
	Address         string `json:"address" gorm:"column:address;type:varchar(2000);not null;comment:通讯地址"`
	Address1        string `json:"address1" gorm:"column:address1;type:varchar(1000);not null;comment:详细地址"`
	IdCardPhoto     string `json:"id_card_photo" gorm:"column:id_card_photo;type:varchar(1000);not null;comment:身份证照片"`
	IdCardBackPhoto string `json:"id_card_back_photo" gorm:"column:id_card_back_photo;type:varchar(1000);not null;comment:身份证照片背面"`
	ArtistPhoto     string `json:"artist_photo" gorm:"column:artist_photo;type:varchar(1000);not null;comment:画家本人近照"`
	ArtworkFile     string `json:"artwork_file" gorm:"column:artwork_file;type:varchar(1000);comment:作品文件"`
}
